OracleAppServlet (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppServlet interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppServlet

All Superinterfaces:
  J2EEComponent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Servlet

    public interface OracleAppServlet

extends Servlet

OracleAppServlet

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getJspFile()`
`int` | `getLoadOnStartup()`
`java.lang.String` | `getServletClass()`
`java.lang.String` | `getServletDisplayName()`
`boolean` | `hasJspFile()`
`boolean` | `hasLoadOnStartup()`
`boolean` | `hasServletClass()`
`boolean` | `hasServletDisplayName()`
`void` | `setJspFile(java.lang.String jspFile)`
`void` | `setLoadOnStartup(int loadOnStartup)`
`void` | `setServletClass(java.lang.String servletClass)`
`void` | `setServletDisplayName(java.lang.String displayName)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEComponent
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getServletDisplayName

    java.lang.String getServletDisplayName()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServletDisplayName

    void setServletDisplayName(java.lang.String displayName)

### hasServletDisplayName

    boolean hasServletDisplayName()

### getJspFile

    java.lang.String getJspFile()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJspFile

    void setJspFile(java.lang.String jspFile)

### hasJspFile

    boolean hasJspFile()

### getLoadOnStartup

    int getLoadOnStartup()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoadOnStartup

    void setLoadOnStartup(int loadOnStartup)

### hasLoadOnStartup

    boolean hasLoadOnStartup()

### getServletClass

    java.lang.String getServletClass()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServletClass

    void setServletClass(java.lang.String servletClass)

### hasServletClass

    boolean hasServletClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD